summaryrefslogtreecommitdiff
path: root/source4/utils
diff options
context:
space:
mode:
Diffstat (limited to 'source4/utils')
-rwxr-xr-xsource4/utils/tests/test_smbclient.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/source4/utils/tests/test_smbclient.sh b/source4/utils/tests/test_smbclient.sh
new file mode 100755
index 0000000000..a91c2db1bd
--- /dev/null
+++ b/source4/utils/tests/test_smbclient.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Blackbox tests for smbclient
+
+SERVER=$1
+SERVER_IP=$2
+USERNAME=$3
+PASSWORD=$4
+DOMAIN=$5
+smbclient=$6
+shift 6
+
+failed=0
+
+testit() {
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ failed=`expr $failed + 1`
+ fi
+ return $status
+}
+
+testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no
+
+testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k yes
+
+exit $failed